Subject: [TR] water pump

From: Gary Nafziger <[email-masked]>
Date: Wed, 3 Jul 2013 19:23:08 -0700 (PDT)

Are there several different water pumps for tr-3's or 4's?  I've just started
running/troubleshooting my tr-3 after a complete restoration and noticed that
the fan belt does not line up with the generator or crank pulley.  The water
pump seems to be forward at least a quarter or half inch.  It's very noticable
and I can't figure out how I put it on in the first place without noticing.
Anyway, I'm wondering if there are water pumps with different lengths between
the rotor and pulley?  Thanks

gary n.

** [email-masked] **

Archive: http://www.team.net/archive